Analyseabfrage abgelehnt
Bei diesem Problem antwortet die API mit 422 Unprocessable Content. Der Wert von type ist https://lingo.dev/docs/api/errors/analytics-query-rejected. Das einheitliche Format aller Fehler wird unter Fehler und Statuscodes beschrieben.
<detail>
Felder#
Neben den Standardfeldern type, status, title und detail enthält der Antwortkörper die folgenden Felder. Aus diesen Feldern wird der Text in detail erzeugt. Ein Client kann daher stattdessen einen eigenen Text anzeigen.
| Feld | Typ |
|---|---|
rule | "emptyQuery" | "dimensionRepeated" | "axisPlainEntry" | "rangeEmpty" | "derivationRequiresTime" | "derivationRequiresBucketedAxis" | "derivationNotDecomposable" | "previousPeriodNotWholeBuckets" | "previousPeriodOffsetMisaligned" | "previousPeriodOffsetTooShort" | "mixedFilterKinds" | "topNRequiresKeyDimension" | "topNByNotRankable" | "derivedPathNotRequested" | "orderByDimensionNotSelected" | "shareDimensionNotSelected" | "binsNotAscending" | "limitAboveMax" | "detailFieldNotAllowed" | "groupedFieldNotAllowed" | "detailKeyRequired" | "cursorInvalid" | "cursorOrderMismatch" | "keysetColumnNullable" | "maxRangeDays" | "maxBuckets" | "resultTooLarge" | "propertyRequired" |
path | string[] |
Beispiel#
json
{
"detail": "<detail>",
"rule": "emptyQuery",
"path": [
"<path>"
],
"type": "https://lingo.dev/docs/api/errors/analytics-query-rejected",
"status": 422,
"title": "Analytics query rejected"
}Zurückgegeben von#
GET /v2/organizations/{orgId}/analytics/modelsPOST /v2/organizations/{orgId}/analytics/event-propertiesPOST /v2/organizations/{orgId}/analytics/event-property-keysPOST /v2/organizations/{orgId}/analytics/event-volumePOST /v2/organizations/{orgId}/analytics/eventsPOST /v2/organizations/{orgId}/analytics/events-by-propertyPOST /v2/organizations/{orgId}/analytics/measurement-answersPOST /v2/organizations/{orgId}/analytics/measurement-answers-by-propertyPOST /v2/organizations/{orgId}/analytics/measurement-fieldsPOST /v2/organizations/{orgId}/analytics/measurement-scoresPOST /v2/organizations/{orgId}/analytics/translation-volume